using Modules.User.Application.Models;

namespace Modules.User.Application.Gateways;

public interface IAccountGateway
{
    public Task<List<Session>> GetAccountSessions(Guid accountId);
    public Task<Session?> TryGetSession(string refreshToken);
    public Task<bool> UpdateSessions(Guid accountId, IEnumerable<Session> sessions);
}